<div class="msg-pop">
  <h3>Rename Zone </h3>
</div>
<form autocomplete="off" #f="ngForm" class="form-horizontal" (ngSubmit)="renameZone()">
  <div class="modal-body ibox-content">
    <div class="form-group">
      <div class="row">
        <label class="col-sm-4 control-label"> Name <i aria-hidden="true" class="mandatory">*</i></label>
        <div class="col-sm-8">
          <input type="text" placeholder="Enter Name" class="form-control" name="name" #name="ngModel" [(ngModel)]="zone.name" class="form-control"
          required>
          <div class="error-msg" *ngIf="name.invalid && (name.dirty || name.touched || f.submitted)" >
            <div *ngIf="name.errors.required">Zone name is required.</div>
          </div>
        </div>
      </div>
    </div>
  
    <div class="row">
      <div class="col-sm-12 pop-btn text-right">
        <button type="submit" class="btn btn-primary close-btn" [disabled]="name.invalid">Save</button>
        <button class="btn btn-default close-btn" type="button" [mat-dialog-close]>Cancel</button>
      </div>
    </div>
  </div>
</form>